com.hazelcast.concurrent.semaphore

## Class SemaphoreDataSerializerHook

- java.lang.Object
- - com.hazelcast.concurrent.semaphore.SemaphoreDataSerializerHook

- All Implemented Interfaces:
    com.hazelcast.internal.serialization.DataSerializerHook

      public class SemaphoreDataSerializerHook
      extends Object
      implements com.hazelcast.internal.serialization.DataSerializerHook

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACQUIRE_BACKUP_OPERATION`
    `static int` | `ACQUIRE_OPERATION`
    `static int` | `AVAILABLE_OPERATION`
    `static int` | `CONTAINER`
    `static int` | `DETACH_MEMBER_BACKUP_OPERATION`
    `static int` | `DETACH_MEMBER_OPERATION`
    `static int` | `DRAIN_BACKUP_OPERATION`
    `static int` | `DRAIN_OPERATION`
    `static int` | `F_ID`
    `static int` | `INCREASE_BACKUP_OPERATION`
    `static int` | `INCREASE_OPERATION`
    `static int` | `INIT_BACKUP_OPERATION`
    `static int` | `INIT_OPERATION`
    `static int` | `REDUCE_BACKUP_OPERATION`
    `static int` | `REDUCE_OPERATION`
    `static int` | `RELEASE_BACKUP_OPERATION`
    `static int` | `RELEASE_OPERATION`
    `static int` | `SEMAPHORE_REPLICATION_OPERATION`

    - ### Fields inherited from interface com.hazelcast.internal.serialization.DataSerializerHook

      `F_ID_OFFSET_HIBERNATE, F_ID_OFFSET_WEBMODULE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SemaphoreDataSerializerHook()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DataSerializableFactory` | `createFactory()`
    `int` | `getFactoryId()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### F_ID

          public static final int F_ID

    - #### CONTAINER

          public static final int CONTAINER

      See Also:
        Constant Field Values

    - #### ACQUIRE_BACKUP_OPERATION

          public static final int ACQUIRE_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### ACQUIRE_OPERATION

          public static final int ACQUIRE_OPERATION

      See Also:
        Constant Field Values

    - #### AVAILABLE_OPERATION

          public static final int AVAILABLE_OPERATION

      See Also:
        Constant Field Values

    - #### DETACH_MEMBER_BACKUP_OPERATION

          public static final int DETACH_MEMBER_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### DRAIN_BACKUP_OPERATION

          public static final int DRAIN_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### DRAIN_OPERATION

          public static final int DRAIN_OPERATION

      See Also:
        Constant Field Values

    - #### INIT_BACKUP_OPERATION

          public static final int INIT_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### INIT_OPERATION

          public static final int INIT_OPERATION

      See Also:
        Constant Field Values

    - #### REDUCE_BACKUP_OPERATION

          public static final int REDUCE_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### REDUCE_OPERATION

          public static final int REDUCE_OPERATION

      See Also:
        Constant Field Values

    - #### RELEASE_BACKUP_OPERATION

          public static final int RELEASE_BACKUP_OPERATION

      See Also:
        Constant Field Values

    - #### RELEASE_OPERATION

          public static final int RELEASE_OPERATION

      See Also:
        Constant Field Values

    - #### DETACH_MEMBER_OPERATION

          public static final int DETACH_MEMBER_OPERATION

      See Also:
        Constant Field Values

    - #### SEMAPHORE_REPLICATION_OPERATION

          public static final int SEMAPHORE_REPLICATION_OPERATION

      See Also:
        Constant Field Values

    - #### INCREASE_OPERATION

          public static final int INCREASE_OPERATION

      See Also:
        Constant Field Values

    - #### INCREASE_BACKUP_OPERATION

          public static final int INCREASE_BACKUP_OPERATION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SemaphoreDataSerializerHook

          public SemaphoreDataSerializerHook()

  - ### Method Detail

    - #### getFactoryId

          public int getFactoryId()

      Specified by:
        `getFactoryId` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

    - #### createFactory

          public DataSerializableFactory createFactory()

      Specified by:
        `createFactory` in interface `com.hazelcast.internal.serialization.DataSerializerHook`

Copyright © 2019. All rights reserved.